export interface Task {
  id: number;
  description: string;
  created_at: Date;
  due_date: Date | null;
  completed: boolean;
  completed_at: Date | null;
  group_id: string; // WhatsApp group ID where task was created
  created_by: string; // WhatsApp user ID of task creator
}

export interface TaskAssignment {
  task_id: number;
  user_id: string; // Normalized phone number
  assigned_by: string; // Who assigned this
  assigned_at: Date;
}
